Subject: GPIO on 8360 from dts par_io?

From: Michael Galea <[email-masked]>
Date: Thu, 26 Jun 2008 10:38:29 -0400

Hi,

I'm on 2.6.24 and need to get some GPIOs up and running on my 8360.  I 
think one way I can do it is to modify my dts to add to a pio to my 
par_io node, find it with of_find_node_by_name and install it with 
par_io_of_config.

1) Is this the best way to do the job?  booting-without-of doesn't have 
much advice for me..
2) Now that I have the GPIOs up, what can I use the get and set them 
from the kernel?

I understand GPIO management is coming/here in later kernels but I need 
to stick to 2.6.24 for the time being.

Thanks